View Issue Details

IDProjectCategoryView StatusLast Update
0000031Far Manager 1.7xSettingspublic2007-07-16 16:08
ReporteralexfhAssigned Tovskirdin 
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version1.70 
Target VersionFixed in Version1.70 
Summary0000031: Не сохраняется настройка TabSize в редакторе
DescriptionПри запуске фара из реестра не считывается настройка TabSize для редактора.
Additional InformationНекоторое время назад (месяца 1.5 назад) сломалась настройка tab size в редакторе. Сначала грешил на какие-нибудь плагины и терпел. Сейчас достало и решил выяснить, в чем дело.

Итак, в реестре настройка tab size - 4 символа:
[HKEY_CURRENT_USER\Software\Far\Editor]
"TabSize"=dword:00000004

После запуска (без плагинов, Far /p) сразу заходим в Options->Editor, видим следующее:
╔═════════════════════════════ Editor ═════════════════════════════╗
║ External editor: ║
║ ( ) Use for F4 (x) Use for Alt-F4 ║
║ Editor command: ║
║ ║
╟──────────────────────────────────────────────────────────────────╢
║ Internal editor: ║
║ Expand tabs: ║
║ Do not expand tabs ║
║ [ ] Persistent blocks [x] Del removes blocks ║
║ [x] Save file position [x] Save bookmarks ║
║ [x] Auto indent ║
║ [x] Autodetect character table ║
║ [x] Cursor beyond end of line ║
║ [ ] Lock editing of read-only files ║
║ [ ] Warn when opening read-only files ║
║ Tab size ║
║ [x] Initially open files in WIN encoding ║
║ [x] Create new files in WIN encoding ║
╟──────────────────────────────────────────────────────────────────╢
║ [ Ok ] [ Cancel ] ║
╚══════════════════════════════════════════════════════════════════╝

В поле ввода Tab size - пусто, поле ввода недоступно, сама надпись "Tab size" - серая.

Жмем Esc, еще раз заходим в Options->Editor. Видим то же самое, за исключением настройки Tab size:
║ 8 Tab size ║
   ^^^^^^^^^^^^^

Почему 8 - непонятно. В редакторе размер таба - 8 независимо от того, заходили в настройки или нет.

Можно вручную изменить в настройке размер таба на 4, сохранить - в реестре так и будет 4. До конца работы фара настройка останется. После перезапуска - опять слетит на 8.

Дико раздражает.

Баг есть в 2039-2051, в 1980 еще не было, насчет других - не знаю.

WinXP Tablet, SP2
TagsNo tags attached.
Build

Activities

alexfh

2005-10-24 11:51

reporter   bugnote:0000014

Выяснил. Проблема с регистрацией. У меня она в HKEY_CURRENT_USER, если переместить в HKEY_LOCAL_MACHINE, то все работает.

vskirdin

2005-10-24 14:34

administrator   bugnote:0000015

Проверь - http://farmanager.com/farbugs/edttab.1.rar

alexfh

2005-10-24 21:57

reporter   bugnote:0000016

Заработало.

Issue History

Date Modified Username Field Change
2005-10-24 09:15 alexfh New Issue
2005-10-24 11:51 alexfh Note Added: 0000014
2005-10-24 14:17 vskirdin Status new => assigned
2005-10-24 14:17 vskirdin Assigned To => vskirdin
2005-10-24 14:34 vskirdin Note Added: 0000015
2005-10-24 21:57 alexfh Note Added: 0000016
2005-10-25 05:57 vskirdin Status assigned => resolved
2005-10-25 05:57 vskirdin Resolution open => fixed
2006-02-27 22:13 alexy Fixed in Version => alpha 6
2007-07-16 16:08 alexy Status resolved => closed